%define realname fdisk

Name: gfdisk
Version: 1.0
Release: alt1
Summary: The GNU version of fdisk
License: GPLv3
Group: System/Configuration/Hardware
Url: http://www.gnu.org/software/fdisk
Packager: Alexey Gladkov <legion@altlinux.ru>

Source: http://ftp.gnu.org/gnu/fdisk/%realname-%version.tar.bz2

# Automatically added by buildreq on Wed May 09 2007
BuildRequires: check libncurses-devel libparted-devel libuuid-devel

%description
Small partitioning program with command line interface, that will be hard
for linux newbie, but it is extra stable, and you can trust it.

%package -n gcfdisk
Summary: The GNU version of cfdisk
Group: System/Configuration/Hardware

%description -n gcfdisk
Small user-friendly ncurses-based partitioning program, which will help you
to partition your disk easily.

%prep
%setup -q -n %realname-%version

%build
%add_optflags %optflags_warnings -Wunused-function -Wunused-label -Wunused-variable -Wunused-value
%configure --with-gnu-ext --disable-rpath
%make_build

%install
%makeinstall

cd %buildroot
rm -f -- .%_sbindir/{gfdisk,lfdisk}

find .%_sbindir .%_infodir .%_man8dir -name '*fdisk*' |while read f; do cd "${f%%/*}"; mv -vf -- "${f##*/}" "g${f##*/}"; cd -; done

%files
%_sbindir/gfdisk
%_infodir/gfdisk*
%_man8dir/gfdisk*

%files -n gcfdisk
%_sbindir/gcfdisk
%_infodir/gcfdisk*
%_man8dir/gcfdisk*

%changelog
* Tue Jul 17 2007 Alexey Gladkov <legion@altlinux.ru> 1.0-alt1
- New version (1.0).
- Change license to GPLv3.

* Wed May 09 2007 Alexey Gladkov <legion@altlinux.ru> 0.9.3-alt1
- New version (0.9.3)

* Tue Apr 17 2007 Alexey Gladkov <legion@altlinux.ru> 0.9.2-alt2
- Fix SIGSERV (patch0).

* Fri Apr 06 2007 Alexey Gladkov <legion@altlinux.ru> 0.9.2-alt1
- first build for ALT Linux.
